<?php

namespace Daylight\Core\Modules\Payment\Contracts;

use Daylight\Core\Models\Order;
use Daylight\Core\Modules\Payment\Entities\PaymentStatus;

interface PaymentStatusBuilder
{
    public function forOrder(Order $order): self;

    public function get(): PaymentStatus;
}
